Skip to content

Atomically publish one process collaboration message and its prepared files.

POST
/api/workspace/boards/{boardIdOrKey}/items/{boardItemId}/collaboration/send
curl --request POST \
--url https://example.com/api/workspace/boards/example/items/example/collaboration/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "OperationKey": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "CommentText": "example", "QuotedCommentId": "example", "PreparedFileReferenceIds": [ "example" ], "DeferredUploadSessionIds": [ "example" ], "ExistingFileReferenceIds": [ "example" ], "Mentions": [ { "UserId": "example", "StartIndex": 1, "Length": 1, "DisplayText": "example" } ] }'
boardIdOrKey
required
string
boardItemId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Atomically publish one Board process message and prepared files.

object
OperationKey
string format: uuid
CommentText
string
nullable
QuotedCommentId
string
nullable
PreparedFileReferenceIds
Array<string>
nullable
DeferredUploadSessionIds
Array<string>
nullable
ExistingFileReferenceIds
Array<string>
nullable
Mentions
Array<object>
nullable

Stable user mention embedded in comment text.

object
UserId

Mentioned user identifier.

string
nullable
StartIndex

Zero-based UTF-16 token start.

integer format: int32
Length

UTF-16 token length.

integer format: int32
DisplayText

Readable token stored in the comment text.

string
nullable
Examplegenerated
{
"OperationKey": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"CommentText": "example",
"QuotedCommentId": "example",
"PreparedFileReferenceIds": [
"example"
],
"DeferredUploadSessionIds": [
"example"
],
"ExistingFileReferenceIds": [
"example"
],
"Mentions": [
{
"UserId": "example",
"StartIndex": 1,
"Length": 1,
"DisplayText": "example"
}
]
}

OK

Media typeapplication/json
object
Data
required
Any of:

Committed collaboration publication receipt.

object
OperationKey
required
string format: uuid
CommentId
string
nullable
FileReferenceIds
required
Array<string>
Replayed
required
boolean
Errors
required
Array<object>
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
required
Array<object>
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
required
boolean
Example
{
"Data": null,
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data
required
Any of:

Committed collaboration publication receipt.

object
OperationKey
required
string format: uuid
CommentId
string
nullable
FileReferenceIds
required
Array<string>
Replayed
required
boolean
Errors
required
Array<object>
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
required
Array<object>
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
required
boolean
Example
{
"Data": null,
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data
required
Any of:

Committed collaboration publication receipt.

object
OperationKey
required
string format: uuid
CommentId
string
nullable
FileReferenceIds
required
Array<string>
Replayed
required
boolean
Errors
required
Array<object>
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
required
Array<object>
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
required
boolean
Example
{
"Data": null,
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data
required
Any of:

Committed collaboration publication receipt.

object
OperationKey
required
string format: uuid
CommentId
string
nullable
FileReferenceIds
required
Array<string>
Replayed
required
boolean
Errors
required
Array<object>
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
required
Array<object>
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
required
boolean
Example
{
"Data": null,
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}